Mint 15 OLIVIA - KDE: X server doesn't start

Forum rules
Before you post please read this

Mint 15 OLIVIA - KDE: X server doesn't start

Postby ZAJDAN on Thu Aug 22, 2013 3:29 am

Hello,
before two weeks I have installed Mint 15 KDE 64bit. Yesterday I have started machine and from nothing X server doesn't start...after restart system is waiting into command line in login status. I am writing user and password and to I can start X server I have to use command "startx". Can anybody help if know, how to make to system start automatically into graphical mode (with X server) ....?
Thank You
Regards ZAJDAN
ZAJDAN
Level 1
Level 1
 
Posts: 6
Joined: Tue Jun 04, 2013 3:35 am

Linux Mint is funded by ads and donations.
 

Re: Mint 15 OLIVIA - KDE: X server doesn't start

Postby lrissman on Tue Sep 24, 2013 11:58 am

I ran into this same problem and have no idea why it occurred, but I did figure out the issue.

MDM (the graphical logon manager) was no longer installed. So here is how I fixed it:
1) Log into with the console login provided
2) run the following command:
sudo apt-get install mdm
3) type in your password when sudo asks you for it
4) reboot

This brought me back to the graphical login.

Now, I have installed linuxmint 15 cinnamon 4 times now and this has occured 4 times. Each time it occurred after a reboot and given that this is during a system install on each time, lots of things were done. Below is the least that I did on a system before I ran into the issue in case somebody in the support branch want to track this down:

My Hardware: Asus N53SV
Hard drive is partitioned by Mint with Windows 8 on 1/2 and Mint on 1/2
1) install mint 15 Cinnamon
2) apply updates
3) install Wine q4wine, q4wine i386, wine-gecko1.4 and winetricks via mint software manager
4) use winetricks to install .Net 2.0
5) install Quicken 2012 Cash Manager via Wine
6) install AeroFS deb from aerofs's website
7) Then I was in the process of setting up Quicken and forgot to put it into a virtual desktop... which means that I didnt have a way to shutdown linux other than hard-down (holding power button)
8) On reboot, text-only logon

I am guessing that one of the packages installs above or updates somehow removed the MDM package and on my crash/reboot, linux functioned... it booted to a text logon without MDM.

Hope this helps others
Lance
lrissman
Level 1
Level 1
 
Posts: 3
Joined: Tue Sep 24, 2013 11:44 am

Re: Mint 15 OLIVIA - KDE: X server doesn't start

Postby lrissman on Tue Sep 24, 2013 12:15 pm

Okay, curiosity got the better of me and I started digging... Found the below in /var/log/apt/history.log. I am not sure exactly which insallation caused the removal of mdm shown below but if I had to guess... You see my installation of q4wine:amd64. Then the next line is my (mistake) installation of q4wine:i386... and in that one.. it removed MDM..

I would count this as a bug.. No package install via the Software Manager should be able to break a system like this. It seems to me that this is a dependancy issue in the q4wine or some other downstream package that is incompatible with MDM.

Having said all that, I have not gone and did a clean-install replicaiton of the below, but I expect those working on the bug (if anybody does) it is simple to replicate.

Start-Date: 2013-09-24 10:58:01
Install: q4wine:amd64 (1.0-r2-1)
End-Date: 2013-09-24 10:58:11

Start-Date: 2013-09-24 11:00:09
Install: kubuntu-debug-installer:amd64 (13.04ubuntu3, automatic), qapt-batch:amd64 (2.0.0-0ubuntu1, automatic), libpam0g:i386 (1.1.3-8ubuntu2, automatic), virtuoso-minimal:amd64 (6.1.6+repack-0ubuntu2, automatic), libqca2:amd64 (2.0.3-4, automatic), libqt4-declarative:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libqt4-qt3support:amd64 (4.8.4+dfsg-0ubuntu9.4, automatic), libkxmlrpcclient4:amd64 (4.10.5-0ubuntu0.1, automatic), libpolkit-qt-1-1:amd64 (0.103.0-1build1, automatic), libknewstuff3-4:amd64 (4.10.5-0ubuntu0.1, automatic), libvirtodbc0:amd64 (6.1.6+repack-0ubuntu2, automatic), libkdeclarative5:amd64 (4.10.5-0ubuntu0.1, automatic), libxml2-utils:amd64 (2.9.0+dfsg1-4ubuntu4.3, automatic), libnepomukquery4a:amd64 (4.10.5-0ubuntu0.1, automatic), nepomuk-core-data:amd64 (4.10.5-0ubuntu0.1, automatic), libqt4-script:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libqt4-network:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libqt4-dbus:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libthreadweaver4:amd64 (4.10.5-0ubuntu0.1, automatic), libkdecore5:amd64 (4.10.5-0ubuntu0.1, automatic), phonon:amd64 (4.7.0really4.6.0-0ubuntu2, automatic), libnepomukutils4:amd64 (4.10.5-0ubuntu0.1, automatic), libktexteditor4:amd64 (4.10.5-0ubuntu0.1, automatic), libkmediaplayer4:amd64 (4.10.5-0ubuntu0.1, automatic), docbook-xsl:amd64 (1.76.1+dfsg-1ubuntu1, automatic), oxygen-icon-theme:amd64 (4.10.3+dfsg-0ubuntu0.1~ubuntu13.04, automatic), plasma-scriptengine-javascript:amd64 (4.10.5-0ubuntu0.1, automatic), libkrosscore4:amd64 (4.10.5-0ubuntu0.1, automatic), libpoppler-qt4-4:amd64 (0.20.5-1ubuntu3, automatic), libkactivities-bin:amd64 (4.10.5-0ubuntu0.1, automatic), virtuoso-opensource-6.1-bin:amd64 (6.1.6+repack-0ubuntu2, automatic), libmysqlclient18:i386 (5.5.32-0ubuntu0.13.04.1, automatic), libsolid4:amd64 (4.10.5-0ubuntu0.1, automatic), libdlrestrictions1:amd64 (0.15.3ubuntu8, automatic), libqt4-xmlpatterns:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libqt4-sql-sqlite:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libnepomuk4:amd64 (4.10.5-0ubuntu0.1, automatic), libsoprano4:amd64 (2.9.0+dfsg.1-0ubuntu1, automatic), virtuoso-opensource-6.1-common:amd64 (6.1.6+repack-0ubuntu2, automatic), libattica0.4:amd64 (0.4.1-1, automatic), libkdnssd4:amd64 (4.10.5-0ubuntu0.1, automatic), libkparts4:amd64 (4.10.5-0ubuntu0.1, automatic), kde-runtime-data:amd64 (4.10.5-0ubuntu0.1, automatic), libqapt2:amd64 (2.0.0-0ubuntu1, automatic), shared-desktop-ontologies:amd64 (0.10.0-1, automatic), kdoctools:amd64 (4.10.5-0ubuntu0.1, automatic), libkactivities6:amd64 (4.10.5-0ubuntu0.1, automatic), libqtcore4:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), sudo:i386 (1.8.6p3-0ubuntu3, automatic), libkidletime4:amd64 (4.10.5-0ubuntu0.1, automatic), katepart:amd64 (4.10.5-0ubuntu0.1, automatic), libqapt2-runtime:amd64 (2.0.0-0ubuntu1, automatic), libpam-modules:i386 (1.1.3-8ubuntu2, automatic), libkcmutils4:amd64 (4.10.5-0ubuntu0.1, automatic), libntrack0:amd64 (016-1.1, automatic), soprano-daemon:amd64 (2.9.0+dfsg.1-0ubuntu1, automatic), q4wine:i386 (1.0-r2-1), libqt4-sql:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libkfile4:amd64 (4.10.5-0ubuntu0.1, automatic), libkpty4:amd64 (4.10.5-0ubuntu0.1, automatic), libphonon4:amd64 (4.7.0really4.6.0-0ubuntu2, automatic), libqt4-xml:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libkntlm4:amd64 (4.10.5-0ubuntu0.1, automatic), libplasma3:amd64 (4.10.5-0ubuntu0.1, automatic), phonon-backend-gstreamer:amd64 (4.7.0really4.6.3-0ubuntu1, automatic), libkemoticons4:amd64 (4.10.5-0ubuntu0.1, automatic), libnepomukcore4abi1:amd64 (4.10.5-0ubuntu0.1, automatic), ntrack-module-libnl-0:amd64 (016-1.1, automatic), kdelibs-bin:amd64 (4.10.5-0ubuntu0.1, automatic), libkdewebkit5:amd64 (4.10.5-0ubuntu0.1, automatic), libqtgui4:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), kde-runtime:amd64 (4.10.5-0ubuntu0.1, automatic), libkjsembed4:amd64 (4.10.5-0ubuntu0.1, automatic), nepomuk-core:amd64 (4.10.5-0ubuntu0.1, automatic), libkio5:amd64 (4.10.5-0ubuntu0.1, automatic), libkjsapi4:amd64 (4.10.5-0ubuntu0.1, automatic), libstreams0:amd64 (0.7.7-3ubuntu2, automatic), libntrack-qt4-1:amd64 (016-1.1, automatic), kdelibs5-data:amd64 (4.10.5-0ubuntu0.1, automatic), libqt4-sql-mysql:i386 (4.8.4+dfsg-0ubuntu9.4, automatic), libkde3support4:amd64 (4.10.5-0ubuntu0.1, automatic), libaudio2:i386 (1.9.3-5, automatic), libknotifyconfig4:amd64 (4.10.5-0ubuntu0.1, automatic), libaudit1:i386 (2.2.2-1ubuntu4, automatic), libkactivities-models1:amd64 (4.10.5-0ubuntu0.1, automatic), kdelibs5-plugins:amd64 (4.10.5-0ubuntu0.1, automatic), libkhtml5:amd64 (4.10.5-0ubuntu0.1, automatic), libkdeui5:amd64 (4.10.5-0ubuntu0.1, automatic), mysql-common:amd64 (5.5.32-0ubuntu0.13.04.1, automatic), libkdesu5:amd64 (4.10.5-0ubuntu0.1, automatic), libkatepartinterfaces4:amd64 (4.10.5-0ubuntu0.1, automatic), libmng1:i386 (1.0.10-3build1, automatic), kate-data:amd64 (4.10.5-0ubuntu0.1, automatic), libstreamanalyzer0:amd64 (0.7.7-3ubuntu2, automatic)
Remove: mint-meta-cinnamon:amd64 (2013.05.27), gdebi:amd64 (0.9~exp2), nemo-share:amd64 (1.8.0+olivia), ubuntu-minimal:amd64 (1.299), sudo:amd64 (1.8.6p3-0ubuntu3), mdm:amd64 (1.2.5+olivia), q4wine:amd64 (1.0-r2-1), apturl:amd64 (0.4.1ubuntu4.1mint2), gksu:amd64 (2.0.2-6ubuntu2), mintwelcome:amd64 (1.4.7), aptoncd:amd64 (0.1.98+bzr117-1.2)
End-Date: 2013-09-24 11:02:39


Thanks
Lance
lrissman
Level 1
Level 1
 
Posts: 3
Joined: Tue Sep 24, 2013 11:44 am

Re: Mint 15 OLIVIA - KDE: X server doesn't start

Postby lrissman on Tue Sep 24, 2013 12:47 pm

Okay, I reinstalled from DVD Linux Mint 15 Cinnamon 64-bit and did nothing else but open a terminal window and type: sudo apt-get install q4wine:i386 and sure enough it tries to uninstall mdm.

I have submitted a bug for this: https://bugs.launchpad.net/linuxmint/+bug/1229840

lrissman@lrissman-N53SV ~ $ sudo apt-get install q4wine:i386
[sudo] password for lrissman:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
docbook-xsl fonts-horai-umefont fonts-unfonts-core gcc-4.7-base:i386
icoutils imagemagick imagemagick-common libasn1-8-heimdal libasound2
libaudio2:i386 libaudit1:i386 libavahi-client3:i386
libavahi-common-data:i386 libavahi-common3:i386 libc6:i386 libcomerr2:i386
libcups2:i386 libdb5.1:i386 libdbus-1-3 libdbus-1-3:i386 libdrm-intel1
libdrm-nouveau2 libdrm-radeon1 libdrm2 libegl1-mesa libencode-locale-perl
libexpat1:i386 libffi6:i386 libfile-listing-perl libfont-afm-perl
libfontconfig1:i386 libfreetype6:i386 libgcc1:i386 libgcrypt11
libgcrypt11:i386 libgl1-mesa-dri libglib2.0-0:i386 libgnutls26
libgnutls26:i386 libgpg-error0:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal
libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal
libhtml-form-perl libhtml-format-perl libhtml-parser-perl
libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl
libhttp-daemon-perl libhttp-date-perl libhttp-message-perl
libhttp-negotiate-perl libhx509-5-heimdal libice6:i386 libio-socket-ssl-perl
libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386
libkeyutils1:i386 libkrb5-26-heimdal libkrb5-3:i386 libkrb5support0:i386
liblcms1:i386 libldap-2.4-2 liblqr-1-0 liblwp-mediatypes-perl
liblwp-protocol-https-perl liblzma5:i386 libmagickcore5 libmagickcore5-extra
libmagickwand5 libmng1:i386 libmysqlclient18:i386 libnet-http-perl
libnet-ssleay-perl libnetpbm10 libnss-winbind libodbc1 libp11-kit0:i386
libpam-modules:i386 libpam-winbind libpam0g:i386 libpcre3:i386
libpng12-0:i386 libqt4-dbus:i386 libqt4-dbus libqt4-declarative
libqt4-declarative:i386 libqt4-designer libqt4-help libqt4-network
libqt4-network:i386 libqt4-opengl libqt4-script libqt4-script:i386
libqt4-scripttools libqt4-sql libqt4-sql:i386 libqt4-sql-mysql:i386
libqt4-sql-sqlite libqt4-sql-sqlite:i386 libqt4-svg libqt4-test
libqt4-xml:i386 libqt4-xml libqt4-xmlpatterns libqt4-xmlpatterns:i386
libqtcore4 libqtcore4:i386 libqtgui4 libqtgui4:i386 libroken18-heimdal
libselinux1:i386 libsm6:i386 libsqlite3-0:i386 libssl1.0.0 libstdc++6:i386
libtasn1-3:i386 libtiff5 libtiff5:i386 libuuid1:i386 libwbclient0
libwind0-heimdal libwww-perl libwww-robotrules-perl libx11-6 libx11-6:i386
libx11-xcb1 libxau6:i386 libxcb-dri2-0 libxcb-glx0 libxcb1 libxcb1:i386
libxcursor1 libxdmcp6:i386 libxext6 libxext6:i386 libxfixes3 libxi6
libxi6:i386 libxinerama1 libxml2 libxml2-utils libxrandr2 libxrender1
libxrender1:i386 libxt6 libxt6:i386 libxxf86vm1 mysql-common netpbm
nux-tools odbcinst odbcinst1debian2 qdbus samba samba-common smbclient
sudo:i386 unixodbc winbind zlib1g:i386
Suggested packages:
docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text
docbook-xsl-doc libsaxon-java libxalan2-java libxslthl-java
docbook-xsl-saxon fop xalan dbtoepub libterm-readline-gnu-perl
libterm-readline-perl-perl imagemagick-doc autotrace curl enscript ffmpeg
gnuplot grads hp2xx html2ps libwmf-bin mplayer povray radiance
texlive-base-bin transfig ufraw-batch nas:i386 glibc-doc:i386 locales:i386
rng-tools rng-tools:i386 libglide3 gnutls-bin gnutls-bin:i386 krb5-doc:i386
krb5-user:i386 libdata-dump-perl liblcms-utils:i386 libcrypt-ssleay-perl
libmyodbc odbc-postgresql tdsodbc unixodbc-bin libpam-doc:i386
libqt4-declarative-folderlistmodel libqt4-declarative-gestures
libqt4-declarative-particles libqt4-declarative-shaders qt4-qmlviewer
libqt4-declarative-folderlistmodel:i386 libqt4-declarative-gestures:i386
libqt4-declarative-particles:i386 libqt4-declarative-shaders:i386
qt4-qmlviewer:i386 libqt4-dev libqt4-dev:i386 libthai0:i386 libicu48:i386
qt4-qtconfig qt4-qtconfig:i386 libauthen-ntlm-perl fuseiso:i386
openbsd-inetd inet-superserver smbldap-tools ldb-tools
Recommended packages:
wine-bin:i386 wine-bin-unstable:i386 wine:i386 wine1.2:i386 wine1.3:i386
wine1.4:i386 wine1.5:i386
The following packages will be REMOVED:
aptoncd apturl gdebi gksu libegl1-mesa-drivers mdm mint-meta-cinnamon
mintwelcome nemo-share sudo ubuntu-minimal
The following NEW packages will be installed:
docbook-xsl fonts-horai-umefont fonts-unfonts-core gcc-4.7-base:i386
icoutils imagemagick imagemagick-common libaudio2:i386 libaudit1:i386
libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386
libc6:i386 libcomerr2:i386 libcups2:i386 libdb5.1:i386 libdbus-1-3:i386
libencode-locale-perl libexpat1:i386 libffi6:i386 libfile-listing-perl
libfont-afm-perl libfontconfig1:i386 libfreetype6:i386 libgcc1:i386
libgcrypt11:i386 libglib2.0-0:i386 libgnutls26:i386 libgpg-error0:i386
libgssapi-krb5-2:i386 libhtml-form-perl libhtml-format-perl
libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl
libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl
libhttp-message-perl libhttp-negotiate-perl libice6:i386
libio-socket-ssl-perl libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386
libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386
liblcms1:i386 liblqr-1-0 liblwp-mediatypes-perl liblwp-protocol-https-perl
liblzma5:i386 libmagickcore5 libmagickcore5-extra libmagickwand5
libmng1:i386 libmysqlclient18:i386 libnet-http-perl libnet-ssleay-perl
libnetpbm10 libnss-winbind libodbc1 libp11-kit0:i386 libpam-modules:i386
libpam-winbind libpam0g:i386 libpcre3:i386 libpng12-0:i386 libqt4-dbus:i386
libqt4-declarative:i386 libqt4-network:i386 libqt4-script:i386
libqt4-sql:i386 libqt4-sql-mysql:i386 libqt4-sql-sqlite:i386 libqt4-xml:i386
libqt4-xmlpatterns:i386 libqtcore4:i386 libqtgui4:i386 libselinux1:i386
libsm6:i386 libsqlite3-0:i386 libstdc++6:i386 libtasn1-3:i386 libtiff5:i386
libuuid1:i386 libwww-perl libwww-robotrules-perl libx11-6:i386 libxau6:i386
libxcb1:i386 libxdmcp6:i386 libxext6:i386 libxi6:i386 libxml2-utils
libxrender1:i386 libxt6:i386 mysql-common netpbm odbcinst odbcinst1debian2
q4wine:i386 sudo:i386 unixodbc winbind zlib1g:i386
The following packages will be upgraded:
libasn1-8-heimdal libasound2 libdbus-1-3 libdrm-intel1 libdrm-nouveau2
libdrm-radeon1 libdrm2 libegl1-mesa libgcrypt11 libgl1-mesa-dri libgnutls26
libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
libheimntlm0-heimdal libhx509-5-heimdal libkrb5-26-heimdal libldap-2.4-2
libqt4-dbus libqt4-declarative libqt4-designer libqt4-help libqt4-network
libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-sqlite
libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4
libroken18-heimdal libssl1.0.0 libtiff5 libwbclient0 libwind0-heimdal
libx11-6 libx11-xcb1 libxcb-dri2-0 libxcb-glx0 libxcb1 libxcursor1 libxext6
libxfixes3 libxi6 libxinerama1 libxml2 libxrandr2 libxrender1 libxt6
libxxf86vm1 nux-tools qdbus samba samba-common smbclient
59 upgraded, 108 newly installed, 11 to remove and 178 not upgraded.
Need to get 94.6 MB of archives.
After this operation, 221 MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
lrissman
Level 1
Level 1
 
Posts: 3
Joined: Tue Sep 24, 2013 11:44 am

Re: Mint 15 OLIVIA - KDE: X server doesn't start

Postby 741cc on Sat Oct 05, 2013 7:08 pm

KDE uses KDM as graphical log-on manager.
741cc
Level 3
Level 3
 
Posts: 153
Joined: Mon Sep 03, 2012 8:00 am


Return to KDE

Who is online

Users browsing this forum: No registered users and 1 guest